| Kea 3.0.2-git

radius_request.h File Reference
`#include <client_exchange.h>`
`#include <radius.h>`
`#include <dhcp/iface_mgr.h>`
`#include <dhcpsrv/subnet_id.h>`
`#include <dhcpsrv/timer_mgr.h>`
`#include <functional>`
`#include <sstream>`
Include dependency graph for radius_request.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::radius::RadiusAcct
| class for accounting communication with servers. More...
class | isc::radius::RadiusAsyncAcct
| class for asynchronous accounting communication with servers. More...
class | isc::radius::RadiusAsyncAuth
| class for asynchronous authentication communication with servers. More...
class | isc::radius::RadiusAuth
| class for authentication communication with servers. More...
class | isc::radius::RadiusRequest
| Base class for communication with servers. More...
class | isc::radius::RadiusSyncAcct
| class for synchronous accounting communication with servers. More...
class | isc::radius::RadiusSyncAuth
| class for synchronous authentication communication with servers. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::radius

## Typedefs
typedef std::function< void(int)> | isc::radius::CallbackAcct
| Type of callback for accounting termination.
typedef std::function< void(int, AttributesPtr)> | isc::radius::CallbackAuth
| Type of callback for authentication termination.
typedef boost::shared_ptr< RadiusAsyncAcct > | isc::radius::RadiusAsyncAcctPtr
| Pointer to asynchronous accounting.
typedef boost::shared_ptr< RadiusAsyncAuth > | isc::radius::RadiusAsyncAuthPtr
| Pointer to asynchronous authentication.
typedef boost::shared_ptr< RadiusSyncAcct > | isc::radius::RadiusSyncAcctPtr
| Pointer to synchronous accounting.
typedef boost::shared_ptr< RadiusSyncAuth > | isc::radius::RadiusSyncAuthPtr
| Pointer to synchronous authentication.

## Functions
uint32_t | isc::radius::getNASPort (uint32_t subnet_id)
| Remap a subnet ID to a NAS port.